--- title: "Publish Data" url: https://docs.catalyst.zoho.com/en/api/code-reference/cloud-scale/data-streams/publish-data/ description: "This API allows an authorized admin to publish streaming data to a Datastream channel. Any active subscribers connected to the channel receive the published data in real time through the WebSocket connection." last_updated: 2026-07-07T05:22:22Z service: Cloud Scale type: api --- # Publish Data - Admin ### Description This API allows an authorized admin to publish streaming data to a [Datastream channel](https://docs.catalyst.zoho.com/en/cloud-scale/help/data-streams/introduction/). Any active subscribers connected to the channel receive the published data in real time through the WebSocket connection. ### Request Details #### Request URL `POST` {api-domain}/baas/v1/project/{project_id}/datastreams/channel/{channel_id}/stream - **api-domain** (URL): The DC-specific domain used to access Catalyst APIs - **project_id** (Numerical): The [unique ID](https://docs.catalyst.zoho.com/en/getting-started/set-up-a-catalyst-project/general-settings/) of the Catalyst project - **channel_id** (Numerical): The unique ID of the Datastream channel #### Request Headers **Authorization:** Zoho-oauthtoken {oauth_token} **Content-Type:** application/json **Optional Headers** **CATALYST-ORG:** {org_id} **Environment:** Development #### Request Body - **data** (Object, mandatory): The payload that is published to the Datastream channel #### Scope ZohoCatalyst.datastreams.channel.stream.CREATE ### Response Details On successful execution, the data payload is published to the specified Datastream channel and delivered in real time to all connected subscribers if there are any. **Sample Request** ```bash curl -X POST \ https://api.catalyst.zoho.com/baas/v1/project/20084000000589014/datastreams/channel/20084000000662015/stream \ -H "Authorization: Zoho-oauthtoken 1000.f53426c0cee59aaa57f1f158f5f271ca.ba782e5510151a126a08232e7958b24d" \ -H "CATALYST-ORG: 89773766" \ -H "Environment: Development" \ -H "Content-Type: application/json" \ -d '{ "data": { "name": "data streams" } }' ``` ### SDK Documentation [Publish Data- Java SDK](https://docs.catalyst.zoho.com/en/sdk/java/v1/cloud-scale/data-streams/publish-data/) [Publish Data- Node.js SDK](https://docs.catalyst.zoho.com/en/sdk/nodejs/v2/cloud-scale/data-streams/publish-data/) [Publish Data- Python SDK](https://docs.catalyst.zoho.com/en/sdk/python/v1/cloud-scale/data-streams/publish-data/)